Debian Bug report logs - #411777
mbind(2): there is no "end" parameter

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Samuel Thibault <samuel.thibault@ens-lyon.org>

Date: Tue, 20 Feb 2007 22:12:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/2.40-1

Fixed in version manpages/2.44-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#411777; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mbind(2): there is no "end" parameter
Date: Tue, 20 Feb 2007 23:09:36 +0100
Package: manpages-dev
Version: 2.40-1
Severity: normal

Hi,

mbind(2) says in the ERRORS section, for EINVAL: ``end was less than
start''. But there is no "end" parameter. This part should probably be
just dropped.

Samuel

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages manpages-dev depends on:
ii  manpages                      2.40-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information

-- 
Samuel Thibault <samuel.thibault@ens-lyon.org>
 > et sinon, quand on s'interesse a un media que l'on ne maitrise pas,
 > on essaye de le comprendre d'abord.
 (Suivi par l'intégralité du message initial de 45 lignes.)
 -+-BM in : GNU - La maîtrise est un long apprentissage petit scarabé -+-



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#411777; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 411777@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, 411777@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#411777: mbind(2): there is no "end" parameter
Date: Wed, 28 Feb 2007 17:49:57 -0800
tags 411777 fixed-upstream
thanks

fixed for 2.44

Salut Samuel,

> mbind(2) says in the ERRORS section, for EINVAL: ``end was less than
> start''. But there is no "end" parameter. This part should probably be
> just dropped.

You are right that there is a problem.  But the fix isn't quite what you
suggest.  There is kernel code for this syscall that looks like this

end = start + len;

if (end < start)
    return -EINVAL.

So the text in question has now been changed to read:

    or start + len was less than start

Thanks.

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 411777-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 411777-close@bugs.debian.org
Subject: Bug#411777: fixed in manpages 2.44-1
Date: Sun, 22 Apr 2007 17:02:05 +0000
Source: manpages
Source-Version: 2.44-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.44-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.44-1_all.deb
manpages_2.44-1.diff.gz
  to pool/main/m/manpages/manpages_2.44-1.diff.gz
manpages_2.44-1.dsc
  to pool/main/m/manpages/manpages_2.44-1.dsc
manpages_2.44-1_all.deb
  to pool/main/m/manpages/manpages_2.44-1_all.deb
manpages_2.44.orig.tar.gz
  to pool/main/m/manpages/manpages_2.44.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 411777@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 22 Apr 2007 18:38:34 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.44-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 400971 400975 403888 411777 416012
Changes: 
 manpages (2.44-1) unstable; urgency=low
 .
   * New upstream release
     . Fix EINVAL description in mbind(2) (closes: Bug#411777)
     . Various improvements to DESCRIPTION in rename(2) (closes: Bug#416012)
     . Improved time(2) (closes: Bug#403888)
     . Improved getopt(2) (closes: Bug#bug352139)
     . Fix return type in SYNOPSIS in posix_openpt(2) (closes: Bug#400971)
     . Needs _XOPEN_SOURCE == 600 in posix_openpt(2) (closes: Bug400975)
Files: 
 e11c60f3ff3cc7b5682509dcc3a5d20a 584 doc - manpages_2.44-1.dsc
 ce67dbac96f1934b65fd87f099c39c66 1216437 doc - manpages_2.44.orig.tar.gz
 772ce538ebaa630fdbcc2d84ff4211db 53563 doc - manpages_2.44-1.diff.gz
 e48dc02ffd29653e69933a04db1c0e21 497298 doc important manpages_2.44-1_all.deb
 696cf4c78a8652e230d20efef56876aa 1235602 doc optional manpages-dev_2.44-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGK5EzW5ql+IAeqTIRAjgzAJsEtGwz3ghmmwgHUF4qCJ5C7xit2wCglF+B
Fzi+cBPGWvvk9Cij4bibF20=
=7YWC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jun 2007 08:00:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:10:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.